# class ZOOM::Query

### Public Class Methods

new_cql(prefix) click to toggle source

prefix: CQL notation.

Creates a CQL query using the given CQL notation.

Returns: a newly created ZOOM::Query object.

    static VALUE
    rbz_query_new_cql (VALUE self, VALUE cql)
    {
        ZOOM_query query;

        query = ZOOM_query_create ();
        ZOOM_query_cql (query, RVAL2CSTR (cql));

        return rbz_query_make (query);
    }

new_prefix(prefix) click to toggle source

prefix: PQF notation.

Creates a RPN query using the given PQF notation.

Returns: a newly created ZOOM::Query object.

    static VALUE
    rbz_query_new_prefix (VALUE self, VALUE prefix)
    {
        ZOOM_query query;

        query = ZOOM_query_create ();
        ZOOM_query_prefix (query, RVAL2CSTR (prefix));

        return rbz_query_make (query);
    }

new_sort_by(criteria) click to toggle source

criteria: a sort criteria.

Creates a sort query from the YAZ sorting notation.

Returns: a newly created ZOOM::Query object.

    static VALUE
    rbz_query_new_sort_by (VALUE self, VALUE criteria)
    {
        ZOOM_query query;

        query = ZOOM_query_create ();
        ZOOM_query_sortby (rbz_query_get (self), RVAL2CSTR (criteria));

        return rbz_query_make (query);
    }